## Assign treatment
source('gen_control_largesd.R')
Y0 = Y[,1:55]  

T0 = 45
T = 55

ps = 1+rowMeans(Y0[,20:T0])

trtid = NULL
for(g in 1:3){
	trtid = c(trtid, sample(1:k+(g-1)*k, prob=ps[1:k+(g-1)*k])[1])
}
trtid 

## Need to modify here.
## We want different clustering and different effects

if(!hetero) 
	Eff = c(15,25,-10)
if(hetero)
	Eff = c(0,0,0)

Y = Y0



Y[trtid[1],setdiff((T0+1):55, stickytimes[[1]])] = 
	Y[trtid[1],setdiff((T0+1):55, stickytimes[[1]])] + Eff[1]
Y[trtid[2],setdiff((T0+1):55, stickytimes[[2]])] = 
	Y[trtid[2],setdiff((T0+1):55, stickytimes[[2]])] + Eff[2]
Y[trtid[3],setdiff((T0+1):55, stickytimes[[3]])] = 
	Y[trtid[3],setdiff((T0+1):55, stickytimes[[3]])] + Eff[3]

est0 = cbind(Y[trtid[1], (T0+1):T] - Y0[trtid[1], (T0+1):T],
		Y[trtid[2], (T0+1):T] - Y0[trtid[2], (T0+1):T],
		Y[trtid[3], (T0+1):T] - Y0[trtid[3], (T0+1):T])

